javax.security.auth.login

## Class AppConfigurationEntry.LoginModuleControlFlag

- java.lang.Object
- - javax.security.auth.login.AppConfigurationEntry.LoginModuleControlFlag

Enclosing class:
  AppConfigurationEntry

    public static class AppConfigurationEntry.LoginModuleControlFlag
    extends Object

This class represents whether or not a `LoginModule` is REQUIRED, REQUISITE, SUFFICIENT or OPTIONAL.

### Field Summary

Fields
`static AppConfigurationEntry.LoginModuleControlFlag` `OPTIONAL` Optional `LoginModule`.
`static AppConfigurationEntry.LoginModuleControlFlag` `REQUIRED` Required `LoginModule`.
`static AppConfigurationEntry.LoginModuleControlFlag` `REQUISITE` Requisite `LoginModule`.
`static AppConfigurationEntry.LoginModuleControlFlag` `SUFFICIENT` Sufficient `LoginModule`.

### Method Summary

Methods
`String` `toString()` Return a String representation of this controlFlag.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### REQUIRED

    public static final AppConfigurationEntry.LoginModuleControlFlag REQUIRED

Required `LoginModule`.

#### REQUISITE

    public static final AppConfigurationEntry.LoginModuleControlFlag REQUISITE

Requisite `LoginModule`.

#### SUFFICIENT

    public static final AppConfigurationEntry.LoginModuleControlFlag SUFFICIENT

Sufficient `LoginModule`.

#### OPTIONAL

    public static final AppConfigurationEntry.LoginModuleControlFlag OPTIONAL

Optional `LoginModule`.

### Method Detail

#### toString

    public String toString()

Return a String representation of this controlFlag.

The String has the format, "LoginModuleControlFlag: flag", where flag is either required, requisite, sufficient, or optional.

Overrides:
  `toString` in class `Object`
Returns:
  a String representation of this controlFlag.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.